from pyrogram.types import CallbackQuery, Message

from data.admin.main_menu import main_menu
from services.repo import ServiceRepo
from common.states import States

async def handle_message(message: Message, service_repo: ServiceRepo):
  service_repo.user_service.set_state(str(message.from_user.id), States.ADMIN_STARTED)
  await message.reply_text(
    text=main_menu["text"],
    reply_markup=main_menu["reply_markup"]
  )

async def handle_callback(update: CallbackQuery, service_repo: ServiceRepo):
  pass
