from pyrogram.types import Message, InlineKeyboardMarkup, InlineKeyboardButton, CallbackQuery
from pyrogram.client import Client
from services.repo import ServiceRepo
from common.states import States
from data.main_menu import main_menu

async def handle_message(bot: Client, message: Message, service_repo: ServiceRepo):
  service_repo.user_service.set_state(message.from_user.id, States.STARTED)
  await bot.send_message(
    chat_id=message.from_user.id,
    text=main_menu["text"],
    reply_markup=main_menu["reply_markup"]
  )

async def handle_callback_query(bot: Client, callback: CallbackQuery, service_repo: ServiceRepo):
  return
