from pyrogram.types import InlineKeyboardButton, InlineKeyboardMarkup

def plan_list(plans):
  reply_markup = []
  if plans and len(plans):
    for plan in plans:
      reply_markup.append([InlineKeyboardButton(text=plan["name"], callback_data=f"view_plan:{plan['id']}")])
  reply_markup.append([InlineKeyboardButton(text="پلن جدید", callback_data="new_plan")])
  reply_markup.append([InlineKeyboardButton(text="بازگشت", callback_data="back")])

  return {
    "text": "یکی از پلن‌ها را برای ویرایش انتخاب کنید یا پلن جدید ایجاد کنید",
    "reply_markup": InlineKeyboardMarkup(reply_markup)
  }
