from pyrogram.types import InlineKeyboardButton, InlineKeyboardMarkup

def plans_menu(plans_enabled):
  reply_markup = []
  if plans_enabled:
    reply_markup.append([InlineKeyboardButton(text="غیرفعال‌سازی پلن‌های پولی", callback_data="disable_plans")])
  else:
    reply_markup.append([InlineKeyboardButton(text="فعال‌سازی پلن‌های پولی", callback_data="enable_plans")])

  reply_markup.append([InlineKeyboardButton(text="مدیریت پلن‌ها", callback_data="manage_plans")])
  reply_markup.append([InlineKeyboardButton(text="بازگشت", callback_data="back")])

  return {
    "text": "یکی از گزینه‌ها را انتخاب کنید",
    "reply_markup": InlineKeyboardMarkup(reply_markup)
  }
