from pyrogram.types import InlineKeyboardButton, InlineKeyboardMarkup

def plan_info(plan):
  text = f"""
نام پلن: {plan["name"]}
مدت زمان: {plan["duration_days"]}
قیمت پلن (تومان): {plan["price"]}
"""
  if plan["discount"]:
    text += f"""
قیمت پس از تخفیف: {plan["price"] - plan["discount"]}
"""

  return {
    "text": text,
    "reply_markup": InlineKeyboardMarkup([
      [InlineKeyboardButton(text="خرید و فعال‌سازی", callback_data=f"buy:{plan['id']}")],
      [InlineKeyboardButton(text="بازگشت", callback_data="back")],
    ])
  }
