from common.db_manager import DbManager

class MusicService:
  def __init__(self, db_manager: DbManager):
    self.db_manager = db_manager

  def get_music(self, spot_id, codec, bitrate):
    db = self.db_manager.get_connection()
    cursor = db.cursor()
    cursor.execute(f"""
SELECT file_id, spot_id, codec, bitrate, caption
FROM music
WHERE spot_id = '{spot_id}' AND codec = '{codec}' AND bitrate = '{bitrate}';
""")
    music = cursor.fetchall()
    db.close()
    if not music or not len(music):
      return None
    return {
      "file_id": music[0][0],
      "spot_id": music[0][1],
      "codec": music[0][2],
      "bitrate": music[0][3],
      "caption": music[0][4],
    }
  
  def save_music(self, spot_id, file_id, codec, bitrate, caption):
    db = self.db_manager.get_connection()
    cursor = db.cursor()
    query = (
      'INSERT INTO music '
      '(spot_id, file_id, codec, bitrate, caption) '
      'VALUES (%s, %s, %s, %s, %s)'
    )
    params = (spot_id, file_id, codec, bitrate, caption)
    cursor.execute(query, params)
    db.commit()
    db.close()
