from pyrogram.types import CallbackQuery, Message

from data.admin.main_menu import main_menu
from data.admin.plan_list import plan_list
from services.repo import ServiceRepo
from common.states import States

async def handle_message(message: Message, service_repo: ServiceRepo):
  service_repo.plan_service.create_plan(message.text)
  service_repo.user_service.set_state(message.from_user.id, States.ADMIN_SETTING_PLAN_PRICE)
  await message.reply_text(
    text="لطفا هزینه‌ی پلن را به تومان وارد کنید"
  )

async def handle_callback(update: CallbackQuery, service_repo: ServiceRepo):
  pass