import re

spotify_link_re = re.compile(r"https?://open.spotify.com[^\s]+")
spotify_short_link_re = re.compile(r"https?://spotify.link[^\s]+")

def extract_spotify_link(text):
  link_match = spotify_link_re.match(text)
  if link_match:
    return link_match[0]
  link_match = spotify_short_link_re.match(text)
  if link_match:
    return link_match[0]
  return None
